#!/bin/bash
# Ein system.journal aus einer mit gz gepackten Datei wieder herstellen. Aufruf im varlog sik Zweig.

if [ -f /var/archive/system.journal ]; then

echo -e "\t\033[1;31m"
echo "**************************************************************************************************"
echo  "* In /var/archive/ ist ein system.journal vorhanden es muss mit y gelöscht werden."
echo "**************************************************************************************************"
echo -e "Ihre Eingabe:\t\033[1;31m\c"; read wahl

echo "Datei wird gelöscht"
sleep 2
rm /var/archive/system.journal
reset
fi

auswahl=$(ls -X /var/archive/ | grep -i -e \. | cut -d. -f 3)
echo -e "\033[1;32m"
echo "**************************************************************************************************"
echo -e "* Folgende system.journal.x.gz Dateien wurden im Ordner /var/archive/ gefunden.\n\t"$auswahl
echo "* Bitte die gewünschte Datei Nummer (1...7) eingeben. Weiter mit <ENTER>"
echo "**************************************************************************************************"
read wn
sleep 2

gunzip /var/archive/system.journal.$wn.gz
sleep 2
mv /var/archive/system.journal.$wn /var/archive/system.journal
sleep 2
echo "**************************************************************************************************"
echo "* Das system.journal wird mit journalctl --verify -D geprüft."
echo "**************************************************************************************************"
journalctl --verify -D /var/archive/
sleep 3
echo -e "\033[1;32m"
echo "**************************************************************************************************"
echo "* Das system.journal wird mit journalctl -p err auf Fehler geprüft."
echo "**************************************************************************************************"
journalctl -p err -D /var/archive/
sleep 3
echo -e "\033[1;32m"
echo "**************************************************************************************************"
echo "* Mal sehen was von varlog so in das Journal geschrieben wurde."
echo "**************************************************************************************************"
reset
journalctl --file=/var/archive/system.journal | grep "varlog\|journal" -i
sleep 3
echo -e "\033[1;32m"
echo "**************************************************************************************************"
echo "* Das system.journal wird mit journalctl --file=... komplett angezeigt Bitte mit q = Quit Beenden."
echo "**************************************************************************************************"
journalctl --file=/var/archive/system.journal
reset
